## imcode.server.document
Class DocumentPermissionSetDomainObject

    java.lang.Object
      imcode.server.document.DocumentPermissionSetDomainObject

All Implemented Interfaces:
  LazilyLoadedObject.Copyable, java.io.Serializable, java.lang.Cloneable

Direct Known Subclasses:
  TextDocumentPermissionSetDomainObject

    public class DocumentPermissionSetDomainObject

extends java.lang.Object
implements java.io.Serializable, LazilyLoadedObject.Copyable, java.lang.Cloneable

Probably should be abstract - API uses only ONE concrete implmentation: TextDocumentPermissionSetDomainObject

See Also:
  Serialized Form

Field Summary
`static int` `EDIT_DOCINFO_PERMISSION_ID`
`static int` `EDIT_DOCUMENT_PERMISSION_ID`
`static int` `EDIT_PERMISSIONS_PERMISSION_ID`
`static DocumentPermissionSetDomainObject` `FULL`
`static DocumentPermissionSetDomainObject` `NONE`
`static DocumentPermissionSetDomainObject` `READ`

Constructor Summary
`DocumentPermissionSetDomainObject(DocumentPermissionSetTypeDomainObject typeId)`

Method Summary
`protected java.lang.Object` `clone()`
`LazilyLoadedObject.Copyable` `copy()`
`boolean` `getEdit()`
`boolean` `getEditDocumentInformation()`
`boolean` `getEditPermissions()`
`DocumentPermissionSetTypeDomainObject` `getType()`
`java.lang.String` `getTypeName()`
`boolean` `hasPermission(DocumentPermission permission)`
`boolean` `isEmpty()`
`void` `setEdit(boolean edit)`
`void` `setEditDocumentInformation(boolean editDocumentInformation)`
`void` `setEditPermissions(boolean editPermissions)`
`void` `setFromBits(int permissionBits)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NONE

    public static final DocumentPermissionSetDomainObject NONE

### READ

    public static final DocumentPermissionSetDomainObject READ

### FULL

    public static final DocumentPermissionSetDomainObject FULL

### EDIT_DOCINFO_PERMISSION_ID

    public static final int EDIT_DOCINFO_PERMISSION_ID

See Also:
  Constant Field Values

### EDIT_PERMISSIONS_PERMISSION_ID

    public static final int EDIT_PERMISSIONS_PERMISSION_ID

See Also:
  Constant Field Values

### EDIT_DOCUMENT_PERMISSION_ID

    public static final int EDIT_DOCUMENT_PERMISSION_ID

See Also:
  Constant Field Values

Constructor Detail

### DocumentPermissionSetDomainObject

    public DocumentPermissionSetDomainObject(DocumentPermissionSetTypeDomainObject typeId)

Method Detail

### hasPermission

    public boolean hasPermission(DocumentPermission permission)

### getType

    public DocumentPermissionSetTypeDomainObject getType()

### getTypeName

    public java.lang.String getTypeName()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getEditDocumentInformation

    public boolean getEditDocumentInformation()

### setEditDocumentInformation

    public void setEditDocumentInformation(boolean editDocumentInformation)

### getEditPermissions

    public boolean getEditPermissions()

### setEditPermissions

    public void setEditPermissions(boolean editPermissions)

### setFromBits

    public void setFromBits(int permissionBits)

### getEdit

    public boolean getEdit()

### setEdit

    public void setEdit(boolean edit)

### copy

    public LazilyLoadedObject.Copyable copy()

  Specified by:
    `copy` in interface `LazilyLoadedObject.Copyable`

### clone

    protected java.lang.Object clone()
                              throws java.lang.CloneNotSupportedException

  Overrides:
    `clone` in class `java.lang.Object`
  Throws:
    `java.lang.CloneNotSupportedException`

### isEmpty

    public boolean isEmpty()